Subject: [bug#32370] [PATCH 4/4] gnu: Add ruby-multi-test.

From: Leo Famulari <[email-masked]>
Date: Wed, 29 Aug 2018 00:53:05 -0400

On Tue, Aug 28, 2018 at 09:30:57PM +0100, Christopher Baines wrote:
> 
> Björn Höfling <[email-masked]> writes:
> 
> >> +(define-public ruby-multi-test
> >> +  (package
> >> +    (name "ruby-multi-test")
> >
> > Do we have name conventions for Ruby? The original name is with
> > underscore: multi_test, here it is written with hyphen: multi-test.
> >
> >
> > Compare: ruby-data_uri is with underscore.
> 
> Personally, I've been using dashes rather than underscores. I've only
> looked to use underscores where the name with dashes is already in use.
> 
> I'm not sure if there's a standard though, however, if you use the gem
> importer for a package dependant on multi_test, it'll generate the
> package name ruby-multi-test (cucumber for example).

There are some guidelines here:

https://www.gnu.org/software/guix/manual/en/html_node/Package-Naming.html